Create Azure DevOps SCM App (Service Principal)
curl --request POST \
--url https://api.example.com/api/scm/ado_app \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"baseUrl": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"organizationName": "<string>",
"projectName": "<string>"
}
'import requests
url = "https://api.example.com/api/scm/ado_app"
payload = {
"deploymentId": "<string>",
"baseUrl": "<string>",
"tenantId": "<string>",
"clientId": "<string>",
"organizationName": "<string>",
"projectName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
baseUrl: '<string>',
tenantId: '<string>',
clientId: '<string>',
organizationName: '<string>',
projectName: '<string>'
})
};
fetch('https://api.example.com/api/scm/ado_app', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scmAppId": "<string>",
"publicCertificatePem": "<string>"
}Source Code Management (SCM) App
Create Azure DevOps SCM App (Service Principal)
Create an ADO ScmApp using Entra ID Service Principal credentials. Generates a key pair server-side and returns the public certificate for the customer to upload to their Entra app registration. CompleteAdoScmAppInstall must be called to finish the install after the certificate is uploaded.
POST
/
api
/
scm
/
ado_app
Create Azure DevOps SCM App (Service Principal)
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
Was this page helpful?
⌘I